local profile = require("core.profile")
local GiveFastTravelStageOne = function()
  if not game.Wallets.HasResource("HERO", "FastTravelUnlock01") then
    game.Wallets.AddResource("HERO", "FastTravelUnlock01", 1, "NO_TELEMETRY")
  end
end
local GiveFastTravelStageTwo = function()
  if not game.Wallets.HasResource("HERO", "FastTravelUnlock02") then
    game.Wallets.AddResource("HERO", "FastTravelUnlock02", 1, "NO_TELEMETRY")
    game.Map.ChangeMarkerState("Riv925_FreyaHouse", tweaks.eTokenState.kDiscovered)
  end
end
local GiveFastTravelStageThree = function()
  if not game.Wallets.HasResource("HERO", "FastTravelUnlock03") then
    game.Wallets.AddResource("HERO", "FastTravelUnlock03", 1, "NO_TELEMETRY")
  end
end
return profile.WrapLibrary({
  GiveFastTravelStageOne = GiveFastTravelStageOne,
  GiveFastTravelStageTwo = GiveFastTravelStageTwo,
  GiveFastTravelStageThree = GiveFastTravelStageThree
})
